#ifndef NOTICEFORM_H
#define NOTICEFORM_H

// 通知窗口
#include <QDialog>
#include <QMovie>
#include <QTimer>

namespace Ui {
class NoticeForm;
}

class NoticeForm : public QDialog
{
    Q_OBJECT

public:
    explicit NoticeForm(QWidget *parent = 0);
    ~NoticeForm();

    typedef enum
    {
        SUCCESS=0,
        MSGERROR,
        LOADING,
        BRIEF_TIPS,
        SYNCDATA,
        WARNNING,
        ACK_MSG
    }Type;

    /* 功能:设置显示内容
     * 参数:[1]窗体类型[2]信息内容
     * 返回:NULL
     * */
    void SetContent(NoticeForm::Type type, const QString& title, const QString& msg, const int insertIdIndex);

private:
    QTimer *m_timer;
    Ui::NoticeForm *ui;

    // 动画对象
    QMovie *m_movie;
    // 当前 数据库表 Id Index;
    int  m_currentIdIndex;

    /* 功能:初始化
     * 参数:NULL
     * 返回:NULL
     * */
    void _Init();
    void hideForm();

signals:
    /* 功能:确认门店通告消息
     * 参数:[1]门店通告-标题
     * 返回:NULL
     * */
    void ackNoticeMsg(const QString& noticeTitle, const int insertIdIndex);

private slots:
    void on_noticeBtnOk_clicked();
};

#endif // NOTICEFORM_H
